Oracle Critical Patch Update Advisory - July 2011


Description

A Critical Patch Update is a collection of patches for multiple security vulnerabilities. Critical Patch Update patches are cumulative but each advisory describes only the security fixes added since the previous Critical Patch Update advisory. Thus, prior Critical Patch Update advisories should be reviewed for information regarding earlier published security fixes. Please refer to:

Critical Patch Updates and Security Alerts for information about Oracle Security Advisories.

Due to the threat posed by a successful attack, Oracle strongly recommends that customers apply CPU fixes as soon as possible. This Critical Patch Update contains 78 new security fixes across all product families listed below.

Affected Products and Components

Security vulnerabilities addressed by this Critical Patch Update affect the products listed in the categories below.  The product area of the patches for the listed versions is shown in the Patch Availability column corresponding to the specified Products and Versions column.   Please click on the link in the Patch Availability column below or in the Patch Availability Table to access the documentation for those patches.

Affected product releases and versions that are in Premier Support or Extended Support, under the Oracle Lifetime Support Policy:

Affected Products and VersionsPatch Availability
Oracle Database 11g Release 2, versions 11.2.0.1, 11.2.0.2Database
Oracle Database 11g Release 1, version 11.1.0.7Database
Oracle Database 10g Release 2, versions 10.2.0.3, 10.2.0.4, 10.2.0.5Database
Oracle Database 10g Release 1, version 10.1.0.5Database
Oracle Secure Backup, version 10.3.0.3Database
Oracle Fusion Middleware 11g Release 1, versions 11.1.1.3.0, 11.1.1.4.0, 11.1.1.5.0Fusion Middleware
Oracle Application Server 10g Release 3, version 10.1.3.5.0Fusion Middleware
Oracle Application Server 10g Release 2, version 10.1.2.3.0Fusion Middleware
Oracle Business Intelligence Enterprise Edition, versions 10.1.3.4.1, 11.1.1.3Fusion Middleware
Oracle Identity Management 10g, versions 10.1.4.0.1, 10.1.4.3Fusion Middleware
Oracle JRockit, versions R27.6.9 and earlier (JDK/JRE 1.4.2, 5, 6), R28.1.3 and earlier (JDK/JRE 5, 6)Fusion Middleware
Oracle Outside In Technology, versions 8.3.2.0, 8.3.5.0Fusion Middleware
Oracle Enterprise Manager 10g Grid Control Release 1, version 10.1.0.6Enterprise Manager Suite
Oracle Enterprise Manager 10g Grid Control Release 2, version 10.2.0.5Enterprise Manager Suite
Oracle Enterprise Manager 11g Grid Control Release 1, version 11.1.0.1Enterprise Manager Suite
Oracle E-Business Suite Release 12, versions 12.0.4, 12.0.6, 12.1.1, 12.1.2, 12.1.3E-Business Suite
Oracle E-Business Suite Release 11i, version 11.5.10.2E-Business Suite
Oracle Agile Technology Platform, versions 9.3.0.3, 9.3.1.1Oracle Supply Chain
Oracle PeopleSoft Enterprise FIN, version 9.0, 9.1PeopleSoft
Oracle PeopleSoft Enterprise FMS, versions 9.0, 9.1PeopleSoft
Oracle PeopleSoft Enterprise FSCM, versions 9.0, 9.1PeopleSoft
Oracle PeopleSoft Enterprise HRMS, versions 8.9, 9.0, 9.1PeopleSoft
Oracle PeopleSoft Enterprise SCM, versions 9.0, 9.1PeopleSoft
Oracle PeopleSoft Enterprise PeopleTools, versions 8.49, 8.50, 8.51PeopleSoft
Oracle Sun Product SuiteOracle Sun Product Suite


Patch Availability Table and Risk Matrices

Products with Cumulative Patches

The Oracle Database, Oracle Fusion Middleware, Oracle Enterprise Manager Grid Control, Oracle E-Business Suite Applications, JD Edwards EnterpriseOne, JD Edwards OneWorld Tools, PeopleSoft Enterprise Portal Applications, PeopleSoft Enterprise PeopleTools, Siebel Enterprise, Oracle Industry Applications and Oracle VM patches in the Critical Patch Updates are cumulative; patches for any of these products included in a Critical Patch Update will include all fixes for that product from the previous Critical Patch Updates. For more information about cumulative and non-cumulative patches, check the patch availability documents in the table below for the respective product groups.

Patch Availability Table

For each administered Oracle product, consult the documentation for patch availability information and installation instructions referenced from the following table. For an overview of the Oracle product documentation related to this Critical Patch Update, please refer to the Oracle Critical Patch Update July 2011 Documentation Map, My Oracle Support Note 1332813.1.


Product GroupRisk MatrixPatch Availability and Installation Information
Oracle DatabaseOracle Database Risk MatrixPatch Set Update and Critical Patch Update July 2011 Availability Document, My Oracle Support Note 1323616.1
Oracle Fusion MiddlewareOracle Fusion Middleware Risk MatrixPatch Set Update and Critical Patch Update July 2011 Availability Document, My Oracle Support Note 1323616.1
Oracle Enterprise ManagerOracle Enterprise Manager Risk MatrixPatch Set Update and Critical Patch Update July 2011 Availability Document, My Oracle Support Note 1323616.1
Oracle Applications - E-Business SuiteOracle Applications, E-Business Risk MatrixOracle E-Business Suite Critical Patch Update Note for July 2011, My Oracle Support Note 1315202.1
Oracle Applications - Oracle PeopleSoft Enterprise and Oracle Supply Chain Product SuiteOracle PeopleSoft Enterprise Risk Matrix,
Oracle Supply Chain Products Risk Matrix
Critical Patch Update Knowledge Document for PeopleSoft Enterprise and Oracle Supply Chain Suite Products, My Oracle Support Note 1334177.1
Oracle Sun Products SuiteOracle Sun Products Suite Risk MatrixCritical Patch Update July 2011 Patch Delivery Document for Oracle Sun Products Suite My Oracle Support Note 1334601.1

Risk Matrix Content

Risk matrices list only security vulnerabilities that are newly fixed by the patches associated with this advisory. Risk matrices for previous security fixes can be found in previous Critical Patch Update advisories. An English text version of the risk matrices provided in this document is available here.

Several vulnerabilities addressed in this Critical Patch Update affect multiple products. A vulnerability that affects multiple products will appear with the same CVE# in all risk matrices. Italics indicate vulnerabilities in code included from other product areas.

Security vulnerabilities are scored using CVSS version 2.0 (see Oracle CVSS Scoring for an explanation of how Oracle applies CVSS 2.0). Oracle conducts an analysis of each security vulnerability addressed by a Critical Patch Update (CPU). Oracle does not disclose information about the security analysis, but the resulting Risk Matrix and associated documentation provide information about the type of vulnerability, the conditions required to exploit it, and the potential result of a successful exploit. Oracle provides this information, in part, so that customers may conduct their own risk analysis based on the particulars of their product usage. As a matter of policy, Oracle does not disclose detailed information about an exploit condition or results that can be used to conduct a successful exploit. Oracle will not provide additional information about the specifics of vulnerabilities beyond what is provided in the CPU or Security Alert notification, the Patch Availability Matrix, the readme files, and FAQs. Oracle does not provide advance notification on CPUs or Security Alerts to individual customers. Finally, Oracle does not distribute exploit code or “proof-of-concept” code for product vulnerabilities. For more information, see Oracle vulnerability disclosure policies.

The protocol in the risk matrix implies that all its secure variants (if applicable) are affected too. For example, if HTTP is listed as an affected protocol, it implies that HTTPS (if applicable) is also affected.

Workarounds

Due to the threat posed by a successful attack, Oracle strongly recommends that customers apply CPU fixes as soon as possible. Until you apply the CPU fixes, it may be possible to reduce the risk of successful attack by blocking network protocols required by an attack. For attacks that require certain privileges or access to certain packages, removing the privileges or the ability to access the packages from users that do not need the privileges may help reduce the risk of successful attack. Both approaches may break application functionality, so Oracle strongly recommends that customers test changes on non-production systems. Neither approach should be considered a long-term solution as neither corrects the underlying problem.

Skipped Critical Patch Updates

Oracle strongly recommends that customers apply security fixes as soon as possible. For customers that have skipped one or more Critical Patch Updates and are concerned about products that do not have security fixes announced in this CPU, please review previous Critical Patch Update advisories to determine appropriate actions.

Product Dependencies

Oracle products may have dependencies on other Oracle products. Hence security vulnerability fixes announced in this Critical Patch Update may affect one or more dependent Oracle products. For details regarding these dependencies and to apply patches to dependent products, please refer to Patch Set Update and Critical Patch Update July 2011 Availability Document, My Oracle Support Note 1323616.1 .

Critical Patch Update Supported Products and Versions

Critical Patch Update patches are provided only for product versions that are covered under the Premier Support or Extended Support phases of the Lifetime Support Policy. We recommend that customers plan product upgrades to ensure that Critical Patch Update patches are available for your releases.

Product releases that are not under Premier Support or Extended Support are not tested for the presence of vulnerabilities addressed by this Critical Patch Update. However, it is likely that earlier versions of affected releases are also affected by these vulnerabilities.

Supported Database, Fusion Middleware, Enterprise Manager (EM) Grid Control and Collaboration Suite products are patched in accordance with the Software Error Correction Support Policy explained in My Oracle Support Note 209768.1. Please review the Technical Support Policies for further guidelines regarding support policies and phases of support.

Products in Extended Support

Critical Patch Update patches are available to customers who have purchased Extended Support under the Lifetime Support Policy. Customers must have a valid Extended Support service contract to download Critical Patch Update patches for products in the Extended Support Phase.

On Request Model

Oracle proactively creates patches only for platform/version combinations that, based on historical data, customers are likely to download for the next Critical Patch Update. Patches for historically inactive platform/version combinations of the Oracle Database, Oracle Application Server and Enterprise Manager will be created only if requested by customers.

Refer to Patch Set Update and Critical Patch Update July 2011 Availability Document, My Oracle Support Note 1323616.1 for further details regarding the On Request patches.

Credit Statement

The following people or organizations reported security vulnerabilities addressed by this Critical Patch Update to Oracle: Abdul-Aziz Hariri, reported through Secunia; Alexander Kornbrust of Red Database Security; Alexandr Polyakov of Digital Security; Andy Davis of NGS Secure; Brett Gervasoni of Sense of Security; CERT/CC; Dennis Yurichev; Esteban Martinez Fayo of Application Security, Inc.; Guy Pilosof of McAfee Security Research; Laszlo Toth; Michael Myngerbayev of McAfee Security Research; Monarch2020 of unsecurityresearch; Ofer Maor of Hacktics; Okan Basegmez of DORASEC Consulting; Paul M. Wright formerly of NGS Software; Scott Laurie of MWR InfoSecurity; Sow Ching Shiong, reported through Secunia; Steven Seeley of Corelan Team; Sumit Siddharth from 7safe; Tarjei Mandt of Norman; Tenable Network Security of TippingPoint's Zero Day Initiative; and Will Dormann of CERT/CC.

 

Security-In-Depth Contributors

Oracle provides recognition to people that have contributed to our Security-In-Depth program (see FAQ). People are recognized for Security-In-Depth contributions if they provide information, observations or suggestions pertaining to security vulnerability issues that result in significant modification of Oracle code or documentation in future releases, but are not of such a critical nature that they are distributed in Critical Patch Updates.

In this Critical Patch Update Advisory, Oracle recognizes Alexander Kornbrust of Red Database Security; Esteban Martinez Fayo of Application Security, Inc.; Pete Finnigan; and Stephen Kost of Integrigy for contributions to Oracle's Security-In-Depth program.

Critical Patch Update Schedule

Critical Patch Updates are released on the Tuesday closest to the 17th day of January, April, July and October. The next four dates are:

  • 18 October 2011
  • 17 January 2012
  • 17 April 2012
  • 17 July 2012

References


Modification History


DateComments
2011-July-19Rev 1. Initial Release
2011-July-19Rev 2. Modified Credit Statement and modified Notes in Oracle Sun Products Risk Matrix.
2011-July-21Rev 3. Pete Finnigan added to the In-Depth Credit Statement.
2011-July-22Rev 4. Andy Davis added to the Credit Statement.
2011-August-2Rev 5. Modified supported versions affected for PeopleSoft Enterprise PeopleTools for CVE-2011-2275, CVE-2011-2280 and CVE-2011-2274.
2011-August-19Rev 6. Modified supported versions affected for PeopleSoft Enterprise PeopleTools and Oracle VM VirtualBox.
2011-December-15Rev 7. Updated the CVSS score and note for CVE-2011-1511.

 



 

Appendix - Oracle Database Server

 

Oracle Database Server Executive Summary

 

This Critical Patch Update contains 16 new security fixes for the Oracle Database Server divided as follows:

  • 13 new security fixes for the Oracle Database Server.  2 of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password.  2 of these fixes are applicable to client-only installations, i.e., installations that do not have the Oracle Database Server installed.

     

  • 3 new security fixes for Oracle Secure Backup.  All of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

 

Note: The counts above do not include the 17 vulnerabilities noted in this risk matrix whose CVE numbers are in Italics and are described in the Enterprise Manager Grid Control Risk Matrix. These vulnerabilities appear in the database risk matrix because the database distributions bundle some of the functionality of the Enterprise Management Grid Control product.

Oracle Database Server Risk Matrix


CVE#ComponentProtocolPackage and/or Privilege RequiredRemote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-2239Core RDBMSOracle NETCreate library, Execute on package XMLSEQ_IMP_TNo7.1NetworkHighSingleCompleteCompleteComplete10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-2253Core RDBMSOracle NETSYSDBANo7.1NetworkHighSingleCompleteCompleteComplete10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0882 (Oracle Enterprise Manager Grid Control)Content ManagementHTTPSchedulerYes6.8NetworkMediumNonePartialPartialPartial10.1.0.5, 10.2.0.3, 10.2.0.4, 11.1.0.7 
CVE-2011-2257 (Oracle Enterprise Manager Grid Control)Database Target Type MenusHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-2248 (Oracle Enterprise Manager Grid Control)SQL Performance Advisories/UIsHTTPSQL Details UI & Explain PlanYes6.8NetworkMediumNonePartialPartialPartial11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0870 (Oracle Enterprise Manager Grid Control)Schema ManagementHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0848 (Oracle Enterprise Manager Grid Control)Security FrameworkHTTPUser ModelYes6.8NetworkMediumNonePartialPartialPartial10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0852 (Oracle Enterprise Manager Grid Control)Security ManagementHTTPAudit AdministrationYes6.8NetworkMediumNonePartialPartialPartial10.1.0.5, 10.2.0.3, 10.2.0.4 
CVE-2011-0822 (Oracle Enterprise Manager Grid Control)Streams, AQ & Replication MgmtHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.5, 10.2.0.3 
CVE-2011-0835Core RDBMSOracle NETCreate sessionNo6.5NetworkLowSinglePartial+Partial+Partial+11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0880Core RDBMSOracle NETCreate sessionNo6.5NetworkLowSinglePartial+Partial+Partial+11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0838Core RDBMSOracle NETCreate session, create procedureNo6.5NetworkLowSinglePartial+Partial+Partial+11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-2244 (Oracle Enterprise Manager Grid Control)Security FrameworkHTTPAuthenticationYes6.4NetworkLowNonePartialPartialNone10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0832Core RDBMSOracle NETCreate sessionNo6.0NetworkMediumSinglePartial+Partial+Partial+11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-2232XML Developer KitVariousAuthenticated sessionNo6.0NetworkMediumSinglePartial+Partial+Partial+10.1.0.5, 10.2.0.3, 10.2.0.4, 11.1.0.7, 11.2.0.1See Note 1
CVE-2011-0816 (Oracle Enterprise Manager Grid Control)CMDB Metadata & Instance APIsOracle NETNoneNo5.5NetworkLowSinglePartial+Partial+None10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0875 (Oracle Enterprise Manager Grid Control)EMCTLHTTPNoneNo5.5NetworkLowSinglePartial+Partial+None11.1.0.7 
CVE-2011-0831 (Oracle Enterprise Manager Grid Control)Enterprise Config ManagementOracle NETNoneNo5.5NetworkLowSinglePartial+Partial+None10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-2230Core RDBMSOracle NETNoneYes5.0NetworkLowNoneNoneNonePartial+10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1 
CVE-2011-0811 (Oracle Enterprise Manager Grid Control)Enterprise Config ManagementLocalNoneNo4.9LocalLowNoneCompleteNoneNone10.1.0.5, 10.2.0.3, 10.2.0.4 
CVE-2011-0881 (Oracle Enterprise Manager Grid Control)EMCTLHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.2.0.3, 10.2.0.4, 11.1.0.7 
CVE-2011-0876 (Oracle Enterprise Manager Grid Control)Enterprise Manager ConsoleHTTPSecurityYes4.3NetworkMediumNoneNonePartialNone10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-0830 (Oracle Enterprise Manager Grid Control)Event ManagementHTTPRules Management UIYes4.3NetworkMediumNoneNonePartialNone10.1.0.5, 10.2.0.3, 10.2.0.4 
CVE-2011-0877 (Oracle Enterprise Manager Grid Control)Instance ManagementHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.1.0.5, 10.2.0.3, 10.2.0.4 
CVE-2011-0879 (Oracle Enterprise Manager Grid Control)Instance ManagementHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1, 11.2.0.2 
CVE-2011-2231XML Developer KitVariousNoneYes4.3NetworkMediumNoneNoneNonePartial+10.1.0.5, 10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1See Note 1
CVE-2011-2238Database VaultOracle NetExecute on DBMS_SYS_SQLNo4.0NetworkLowSingleNonePartialNone10.2.0.3, 10.2.0.4, 10.2.0.5, 11.1.0.7, 11.2.0.1 
CVE-2011-2243Core RDBMSOracle NETCreate session and trigger as SYSDBANo3.5NetworkMediumSingleNonePartialNone11.1.0.7.3, 11.2.0.1, 11.2.0.2 
CVE-2011-2240Oracle Universal InstallerLocalAccess to filesystemNo1.7LocalLowSinglePartial+NoneNone10.1.0.5 
CVE-2011-2242Core RDBMSFTPLocal account and Database account with privilege to login to XML DB FTPNo1.3LocalMediumMultiplePartialNoneNone11.2.0.1, 11.2.0.2 
 

 

Notes:

  1. Patching the client is required to protect applications that make use of the XML Developer Kit. However, patching the server is sufficient to protect the database.

 

Oracle Database Server Client-Only Installations

The following Oracle Database Server vulnerabilities included in this Critical Patch Update affect client-only installations: CVE-2011-2232 and CVE-2011-2231.



 

Oracle Secure Backup Executive Summary

 

This Critical Patch Update contains 3 new security fixes for Oracle Secure Backup.  All of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

 

Oracle Secure Backup Risk Matrix


CVE#ComponentProtocolPackage and/or Privilege RequiredRemote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-2261Oracle Secure BackupHTTPNoneYes10.0NetworkLowNoneCompleteCompleteComplete10.3.0.3See Note 1
CVE-2011-2252Oracle Secure BackupHTTPNoneYes6.8NetworkMediumNonePartial+Partial+Partial10.3.0.3 
CVE-2011-2251Oracle Secure BackupHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.3.0.3 
 

 

Notes:

  1. CVSS Score is 10.0 for Windows based installation. For Linux, Unix and other platforms, the CVSS Base Score is 7.5, and the impacts for Confidentiality, Integrity and Availability are Partial.


 

Appendix - Oracle Fusion Middleware

 

Oracle Fusion Middleware Executive Summary

 

This Critical Patch Update contains 7 new security fixes for Oracle Fusion Middleware.  2 of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

Oracle Fusion Middleware products include Oracle Database components that are affected by the vulnerabilities listed in the Oracle Database section. The exposure of Oracle Fusion Middleware products is dependent on the Oracle Database version being used. Oracle Database security fixes are not listed in the Oracle Fusion Middleware risk matrix. However, since vulnerabilities affecting Oracle Database versions may affect Oracle Fusion Middleware products, Oracle recommends that customers apply the July 2011 Critical Patch Update to the Oracle Database components of Oracle Fusion Middleware products. For information on what patches need to be applied to your environments, refer to Critical Patch Update July 2011 Patch Availability Document for Oracle Products, My Oracle Support Note 1323616.1.

 

Oracle Fusion Middleware Risk Matrix


CVE#ComponentProtocolSub-
component
Remote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-0873Oracle JRockitMultiple-Yes10.0NetworkLowNoneCompleteCompleteCompleteR27.6.9 and before: JRE/JDK 1.4.2, 5 and 6; R28.1.3 and before: JRE/JDK 5 and 6See Note 1
CVE-2010-1321Oracle Security ServiceKerberosSecurity ToolkitNo6.8NetworkLowSingleNoneNoneComplete11.1.1.3, 11.1.1.4, 11.1.1.5 
CVE-2011-2232 (Oracle Database Server)XML Developer KitVariousAuthenticated sessionNo6.0NetworkMediumSinglePartial+Partial+Partial+10.1.3.5See Note 2
CVE-2011-2241Oracle Business Intelligence Enterprise EditionTCP/IPAnalytics ServerYes5.0NetworkLowNoneNoneNonePartial+10.1.3.4.1, 11.1.1.3 
CVE-2011-2264Oracle Outside In TechnologyLocalOutside In FiltersNo4.4LocalMediumNonePartial+Partial+Partial+8.3.2.0, 8.3.5.0See Note 3
CVE-2011-2231 (Oracle Database Server)XML Developer KitVariousNoneYes4.3NetworkMediumNoneNoneNonePartial+10.1.3.5See Note 2
CVE-2011-0884Oracle BPEL Process ManagerHTTPBPEL ConsoleNo4.0NetworkLowSingleNoneNonePartial-See Note 4
CVE-2011-0883Oracle Containers for J2EEHTTPServlet Runtime in OC4JNo4.0NetworkLowSingleNonePartialNone10.1.2.3, 10.1.3.5, 10.1.4.0.1, 10.1.4.3 
CVE-2011-2267Oracle Outside In TechnologyLocalOutside In FiltersNo1.9LocalMediumNoneNoneNonePartial8.3.2.0, 8.3.5.0See Note 5
 

 

Notes:

  1. Oracle released a Java Critical Patch Update in June 2011 to address multiple vulnerabilities affecting the Java Runtime Environment. Oracle CVE-2011-0873 refers to the advisories that were applicable to JRockit from the Java Critical Patch Update. The CVSS score of this vulnerability CVE# reflects the highest among those fixed in JRockit. The complete list of all advisories addressed in JRockit under CVE-2011-0873 is as follows: CVE-2011-0802, CVE-2011-0814, CVE-2011-0815, CVE-2011-0862, CVE-2011-0865, CVE-2011-0866, CVE-2011-0867, CVE-2011-0868, CVE-2011-0869, CVE-2011-0871, CVE-2011-0872 and CVE-2011-0873.
  2. Component of this XML DB security fix in Fusion Middleware products is "XML Developers Kit". The sub-component is "XML Parser".
  3. Outside In Technology is a suite of software development kits (SDKs). It does not have any particular associated protocol. Its privileges are controlled by the embedding technology. Depending on the hosting software, the CVSS score can be as high as 9.3 if the hosting software runs as root and passes data received over the network to Outside In Technology code.
  4. Fixed in all supported releases and patchsets.
  5. Outside In Technology is a suite of software development kits (SDKs). It does not have any particular associated protocol. Its privileges are controlled by the embedding technology. Depending on the hosting software, the CVSS score can be as high as 7.1 if the hosting software runs as root and passes data received over the network to Outside In Technology code.


 

Appendix - Oracle Enterprise Manager Grid Control

 

Oracle Enterprise Manager Grid Control Executive Summary

 

This Critical Patch Update contains 18 new security fixes for Oracle Enterprise Manager Grid Control.  14 of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password.  None of these fixes are applicable to client-only installations, i.e., installations that do not have Oracle Enterprise Manager Grid Control installed.

Oracle Enterprise Manager products include Oracle Database and Oracle Fusion Middleware components that are affected by the vulnerabilities listed in the Oracle Database and Oracle Fusion Middleware sections. The exposure of Oracle Enterprise Manager products is dependent on the Oracle Database and Oracle Fusion Middleware versions being used. Oracle Database and Oracle Fusion Middleware security fixes are not listed in the Oracle Enterprise Manager risk matrix. However, since vulnerabilities affecting Oracle Database and Oracle Fusion Middleware versions may affect Oracle Enterprise Manager products, Oracle recommends that customers apply the July 2011 Critical Patch Update to the Oracle Database and Oracle Fusion Middleware components of Oracle Enterprise Manager. For information on what patches need to be applied to your environments, refer to Critical Patch Update July 2011 Patch Availability Document for Oracle Products, My Oracle Support Note 1323616.1.

 

Oracle Enterprise Manager Grid Control Risk Matrix


CVE#ComponentProtocolSub-
component
Remote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-0882Content ManagementHTTPSchedulerYes6.8NetworkMediumNonePartialPartialPartialSee noteSee Note 1
CVE-2011-0845Database ControlHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6 
CVE-2011-2257Database Target Type MenusHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6, 10.2.0.5, 11.1.0.1 
CVE-2011-2248SQL Performance Advisories/UIsHTTPSQL Details UI & Explain PlanYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6, 10.2.0.5, 11.1.0.1 
CVE-2011-0870Schema ManagementHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6, 10.2.0.5 
CVE-2011-0848Security FrameworkHTTPUser ModelYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6, 10.2.0.5 
CVE-2011-0852Security ManagementHTTPAudit AdministrationYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6 
CVE-2011-0822Streams, AQ & Replication MgmtHTTPNoneYes6.8NetworkMediumNonePartialPartialPartial10.1.0.6 
CVE-2011-2244Security FrameworkHTTPAuthenticationYes6.4NetworkLowNonePartialPartialNone10.1.0.6, 10.2.0.5, 11.1.0.1 
CVE-2011-0816CMDB Metadata & Instance APIsOracle NETNoneNo5.5NetworkLowSinglePartial+Partial+None10.1.0.6, 10.2.0.5 
CVE-2011-0875EMCTLHTTPNoneNo5.5NetworkLowSinglePartial+Partial+NoneSee noteSee Note 1
CVE-2011-0831Enterprise Config ManagementOracle NETNoneNo5.5NetworkLowSinglePartial+Partial+None10.1.0.6, 10.2.0.5 
CVE-2011-0811Enterprise Config ManagementLocalNoneNo4.9LocalLowNoneCompleteNoneNone10.1.0.6, 10.2.0.5 
CVE-2011-0881EMCTLHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.1.0.6 
CVE-2011-0876Enterprise Manager ConsoleHTTPSecurityYes4.3NetworkMediumNoneNonePartialNone10.1.0.6, 10.2.0.5 
CVE-2011-0830Event ManagementHTTPRules Management UIYes4.3NetworkMediumNoneNonePartialNone10.1.0.6 
CVE-2011-0877Instance ManagementHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.1.0.6 
CVE-2011-0879Instance ManagementHTTPNoneYes4.3NetworkMediumNoneNonePartialNone10.1.0.6, 10.2.0.5 
 

 

Notes:

  1. Fixed in all supported releases and patchsets.


 

Appendix - Oracle Applications

 

Oracle Applications Executive Summary

 

This Critical Patch Update contains 14 new security fixes for the Oracle Applications divided as follows:

  • 1 new security fix for the Oracle E-Business Suite.  This vulnerability is remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 
  • 1 new security fix for the Oracle Supply Chain Products Suite.  This vulnerability is not remotely exploitable without authentication, i.e., may not be exploited over a network without the need for a username and password. 
  • 12 new security fixes for Oracle PeopleSoft Products.  1 of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

 

 



 

Oracle E-Business Suite Executive Summary

 

This Critical Patch Update contains 1 new security fix for the Oracle E-Business Suite.  This vulnerability is remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

Oracle E-Business Suite products include Oracle Database and Oracle Fusion Middleware components that are affected by the vulnerabilities listed in the Oracle Database and Oracle Fusion Middleware sections. The exposure of Oracle E-Business Suite products is dependent on the Oracle Database and Oracle Fusion Middleware versions being used. Oracle Database and Oracle Fusion Middleware security fixes are not listed in the Oracle E-Business Suite risk matrix. However, since vulnerabilities affecting Oracle Database and Oracle Fusion Middleware versions may affect Oracle E-Business Suite products, Oracle recommends that customers apply the July 2011 Critical Patch Update to the Oracle Database and Oracle Fusion Middleware components of Oracle E-Business Suite. For information on what patches need to be applied to your environments, refer to Oracle E-Business Suite Critical Patch Update for July 2011, My Oracle Support Note 1315202.1.

 

Oracle E-Business Suite Risk Matrix


CVE#ComponentProtocolSub-
component
Remote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-2246Business IntelligenceHTTPFinancialsYes4.3NetworkMediumNoneNonePartialNone11.5.10.2, 12.0.4, 12.0.6, 12.1.1, 12.1.2, 12.1.3 
 

 



 

Oracle Supply Chain Products Suite Executive Summary

 

This Critical Patch Update contains 1 new security fix for the Oracle Supply Chain Products Suite.  This vulnerability is not remotely exploitable without authentication, i.e., may not be exploited over a network without the need for a username and password. 

 

Oracle Supply Chain Products Suite Risk Matrix


CVE#ComponentProtocolSub-
component
Remote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-2273Agile Core TechnologyHTTPSearchNo4.0NetworkLowSinglePartialNoneNone9.3.0.3, 9.3.1.1 
 

 



 

Oracle PeopleSoft Products Executive Summary

 

This Critical Patch Update contains 12 new security fixes for Oracle PeopleSoft Products.  1 of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

Note: As mentioned under the Risk Matrix Content section above, the listed protocol in the risk matrix implies that all its secure variants (if applicable) are affected too. For example, if HTTP is listed as an affected protocol, it implies that HTTPS (if applicable) is also affected.

 

Oracle PeopleSoft Products Risk Matrix


CVE#ComponentProtocolSub-
component
Remote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-2250PeopleSoft Enterprise FINHTTPReceivablesNo5.5NetworkLowSinglePartialPartialNone9.0 Bundle #36, 9.1 Bundle #13 
CVE-2011-2283PeopleSoft Enterprise FMSHTTPPayablesNo5.5NetworkLowSinglePartialPartialNone9.0 Bundle #36, 9.1 Bundle #13 
CVE-2011-2272PeopleSoft Enterprise FSCMHTTPeProcurementNo5.5NetworkLowSinglePartialPartialNone9.0 Bundle #36, 9.1 Bundle #13 
CVE-2011-2281PeopleSoft Enterprise HRMSHTTPGlobal Payroll CoreNo5.5NetworkLowSinglePartialPartialNone8.9 Update 2011-D 
CVE-2011-2279PeopleSoft Enterprise HRMSHTTPTalent Acquisition ManagerNo5.5NetworkLowSinglePartialPartialNone9.1 Bundle #6 
CVE-2011-2277PeopleSoft Enterprise SCMHTTPPurchasingNo5.5NetworkLowSinglePartialPartialNone9.0 Bundle #36 9.1 Bundle #13 
CVE-2011-2275PeopleSoft Enterprise PeopleToolsHTTPNoneYes4.3NetworkMediumNoneNonePartial+None8.49.31, 8.50.20, 8.51.11 
CVE-2011-2278PeopleSoft Enterprise HRMSHTTPTalent Acquisition ManagerNo4.0NetworkLowSinglePartialNoneNone8.9 Bundle #24 9.0 Bundle #17 9.1 Bundle #6 
CVE-2011-2284PeopleSoft Enterprise HRMSHTTPePerformanceNo4.0NetworkLowSinglePartialNoneNone9.0 Bundle #17 
CVE-2011-2280PeopleSoft Enterprise PeopleToolsHTTPNoneNo4.0NetworkLowSingleNonePartialNone8.49.31, 8.50.20, 8.51.11 
CVE-2011-2282PeopleSoft Enterprise PeopleToolsHTTPNoneNo3.5NetworkMediumSingleNonePartialNone8.50.20, 8.51.11 
CVE-2011-2274PeopleSoft Enterprise PeopleToolsProprietaryNoneNo3.5NetworkMediumSingleNonePartial+None8.49.31, 8.50.20, 8.51.11 
 

 



 

Appendix - Oracle Sun Products Suite

 

Oracle Sun Products Suite Executive Summary

 

This Critical Patch Update contains 23 new security fixes for the Oracle Sun Products Suite.  9 of these vulnerabilities may be remotely exploitable without authentication, i.e., may be exploited over a network without the need for a username and password. 

An English text version of the risk matrix is available here.

Sun Microsystems policies for disclosure of fixes for security vulnerabilities in the Sun product lines have been aligned with Oracle Software Security Assurance policies and procedures. For details, please refer to Changes in security policies for the Sun product lines.

 

 

Oracle Sun Products Suite Risk Matrix


CVE#ComponentProtocolSub-
component
Remote Exploit without Auth.?CVSS VERSION 2.0 RISK (see Risk Matrix Definitions)Supported Versions AffectedNotes
Base ScoreAccess VectorAccess ComplexityAuthen-
tication
Confiden-
tiality
IntegrityAvail-
ability
CVE-2011-1511Oracle GlassFish ServerHTTPAdministrationYes10.0NetworkLowNoneCompleteCompleteComplete2.1.1, 3.0.1See Note 1
CVE-2011-2288SPARC T3 Series, SPARC Netra T3 SeriesSSHSun Integrated Lights Out Manager (ILOM)Yes10.0NetworkLowNoneCompleteCompleteCompleteSysFW 8.1.0.aSee Note 2
CVE-2011-2287SolarisTCP/IPfingerdYes7.8NetworkLowNoneNoneNoneComplete8, 9, 10, 11 Express 
CVE-2011-2299SPARC Enterprise M SeriesSSHXSCF Control Package (XCP)Yes7.5NetworkLowNonePartialPartialPartialXCP 1101 or earlierSee Note 3
CVE-2011-2307SPARC T3, Netra SPARC T3, Sun Fire, Sun Blade Server SeriesSSHSun Integrated Lights Out Manager (ILOM)Yes7.5NetworkLowNonePartialPartialPartialSysFW 8.1.0.a for SPARC T3 based servers; see 1334601.1 for other serversSee Note 4
CVE-2011-2245SolarisSSHSSHYes7.5NetworkLowNonePartialPartialPartial9, 10 
CVE-2011-2285SolarisNoneInstallerNo7.2LocalLowNoneCompleteCompleteComplete10 
CVE-2011-2305 (Oracle Virtualization)Oracle VM VirtualBoxNoneAll packagesNo6.2LocalHighNoneCompleteCompleteComplete4.0 
CVE-2011-2297Oracle Solaris ClusterNoneData Service for WebLogic ServerNo6.1LocalLowNonePartialPartialComplete3.3 
CVE-2011-2260Oracle GlassFish ServerHTTPAdministrationYes5.8NetworkMediumNonePartialPartialNone2.1.1 
CVE-2011-2249SolarisTCP/IPTCP/IPNo5.2Adjacent NetworkMediumSingleNoneNoneComplete8, 9, 10 
CVE-2011-2294SolarisSSHSSHYes5.0NetworkLowNoneNoneNonePartial10, 11 Express 
CVE-2011-2298SolarisSSLKSSLYes5.0NetworkLowNoneNoneNonePartial10, 11 Express 
CVE-2011-2296SolarisNoneKernel/SCTPNo4.9LocalLowNoneNoneNoneComplete11 Express 
CVE-2011-2290SolarisNoneKernel/sockfsNo4.9LocalLowNoneNoneNoneComplete10, 11 Express 
CVE-2011-2259SolarisNoneUFSNo4.9LocalLowNoneNoneNoneComplete8, 9, 10, 11 Express 
CVE-2011-2293SolarisNoneZonesNo4.9LocalLowNoneNoneNoneComplete11 Express 
CVE-2011-2295SolarisNoneDriver/USBNo4.7LocalMediumNoneNoneNoneComplete8, 9, 10, 11 Express 
CVE-2011-2258SolarisNonerkshNo4.6LocalLowNonePartialPartialPartial8, 9, 10, 11 Express 
CVE-2011-2300 (Oracle Virtualization)Oracle VM VirtualBoxNoneGuest Additions for WindowsNo3.7LocalHighNonePartialPartialPartial3.0, 3.1, 3.2 and 4.0 up to 4.0.8 
CVE-2011-2289SolarisNoneLiveUpgradeNo3.6LocalLowNoneNonePartialPartial10 
CVE-2011-2263SPARC T3, Netra SPARC T3, Sun Fire, Sun Blade Server SeriesNoneSun Integrated Lights Out ManagerNo2.1LocalLowNonePartialNoneNoneSysFW 8.0.3.b or earlier for SPARC T3 based servers; see 1334601.1 for other serversSee Note 5
CVE-2011-2291SolarisNoneTrusted ExtensionsNo1.7LocalLowSinglePartialNoneNone10 
 

 

Notes:

  1. CVE-2011-1511: CVSS score is 10 for Windows platform. The score will be 7.5 on Linux or Solaris platform.
  2. CVE-2011-2288: Specific products affected are: SPARC T3-1, SPARC T3-1B, SPARC T3-2, SPARC T3-4, Netra SPARC T3-1, Netra SPARC T3-1B
  3. CVE-2011-2299: Specific products affected are: SPARC Enterprise M3000, SPARC Enterprise M4000, SPARC Enterprise M5000, SPARC Enterprise M8000, SPARC Enterprise M9000
  4. CVE-2011-2307: Specific products affected are: SPARC T3-1, SPARC T3-1B, SPARC T3-2, SPARC T3-4, Netra SPARC T3-1, Netra SPARC T3-1B, Sun Fire X4170 M2, Sun Fire X4270 M2, Sun Blade x6270 M2, Sun Fire x4470, Sun Fire x4470 M2
  5. CVE-2011-2263: Specific products affected are: SPARC T3-1, SPARC T3-1B, SPARC T3-3, SPARC T3-4, Netra SPARC T3-1, Sun Blade X6250, Sun Blade x6270, Sun Blade x6270 M2, Sun Blade X6275, Sun Blade X6275 M2, Sun Blade X6440 M2, Sun Blade X6450, Sun Fire X2270 M2, Sun Fire X2270, Sun Fire X4170 M2, Sun Fire X4170, Sun Fire X4270 M2, Sun Fire X4270, Sun Fire X4275, Sun Fire x4470 M2, Sun Fire x4470, Sun Fire x4540